<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateWakilSuratToDbcawanganTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
        /**
     *
     * @var object $db_connection
     */

     public function getActiveDB(){
        $config_db = array_keys(config("database.connections"));

        $db_connection = array_filter($config_db,function($connection){
            try{
                if($connection == 'mysql7')
                    return false;

                $db = DB::connection($connection)->getPdo();
                return true;
            } catch(\Exception $e){
                return false;
            }
        });
        return $db_connection;
    }


    public function up()
    {

        $db_connection = $this->getActiveDB();

        foreach($db_connection as $dbase){

            if (!Schema::connection($dbase)->hasTable('wakil_surat')) {


                Schema::connection($dbase)->create('wakil_surat', function (Blueprint $table) {
                    $table->id();
                    $table->string('nosiri')->nullable();
                    $table->string('no_surat')->nullable();
                    $table->string('norujukan')->nullable();
                    $table->string('t_cetak')->nullable();
                    $table->timestamps();
                });


            }


        }


    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        $db_connection = $this->getActiveDB();

        foreach($db_connection as $dbase){

            Schema::connection($dbase)->dropIfExists('wakil_surat');
        };
    }
}
